---
title: device-height
slug: Web/CSS/@media/device-height
tags:
  - '@media'
  - CSS
  - Deprecated
  - Media Queries
  - Reference
  - media feature
---
<div>{{cssref}} {{deprecated_header}}</div>

<p>The <strong><code>device-height</code></strong> <a href="/en-US/docs/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries#Media_features">media feature</a> can be used to test the height of an output device's rendering surface.</p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>device-height</code> feature is specified as a {{cssxref("&lt;length&gt;")}} value. It is a range feature, meaning that you can also use the prefixed <strong><code>min-device-height</code></strong> and <code><strong>max-device-height</strong></code> variants to query minimum and maximum values, respectively.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Applying_a_special_stylesheet_for_devices_that_are_shorter_than_800_pixels">Applying a special stylesheet for devices that are shorter than 800 pixels</h3>

<pre class="brush: html notranslate">&lt;link rel="stylesheet" media="screen and (max-device-height: 799px)" href="http://foo.bar.com/short-styles.css" /&gt;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Media Queries', '#device-height', 'device-height')}}</td>
   <td>{{Spec2('CSS4 Media Queries')}}</td>
   <td>Deprecated in Media Queries Level 4.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Media Queries', '#device-height', 'device-height')}}</td>
   <td>{{Spec2('CSS3 Media Queries')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.media.device-height")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries">Using Media Queries</a></li>
 <li><a href="/en-US/docs/Web/CSS/@media">@media</a></li>
</ul>
